import { ViewStyle, TextStyle, ImageStyle, ColorValue, StyleProp } from "react-native";
import { SpinnerType } from "react-native-spinkit";
export interface ISingleSelectDataType {
    id: number;
    value: string;
    imageSource?: any;
    data?: any;
}
interface IProps {
    width?: number;
    height?: number;
    darkMode?: boolean;
    imageWidth?: number;
    TextComponent?: any;
    imageHeight?: number;
    placeholder?: string;
    ImageComponent?: any;
    value?: string;
    spinnerSize?: number;
    spinnerColor?: string;
    searchEnabled?: boolean;
    disableAbsolute?: boolean;
    placeholderTextStyle?: any;
    animatedBorderRadius?: number;
    placeholderTextColor?: string;
    nestedScrollEnabled?: boolean;
    menuBarContainerWidth?: number;
    menuBarContainerHeight?: number;
    disableFilterAnimation?: boolean;
    underlayColor?: string | ColorValue;
    arrowImageStyle?: StyleProp<ImageStyle>;
    menuItemTextStyle?: StyleProp<TextStyle>;
    buttonContainerStyle?: StyleProp<ViewStyle>;
    menuBarContainerStyle?: StyleProp<ViewStyle>;
    data?: Array<ISingleSelectDataType>;
    initialValue?: ISingleSelectDataType;
    spinnerType?: SpinnerType;
    onTextChange?: (text: string) => void;
    onSelect: (selectedItem: ISingleSelectDataType) => void;
}
declare const RNSingleSelect: (props: IProps) => JSX.Element;
export default RNSingleSelect;
