import { StyleSheet } from "react-native";
import { ThemeColors } from "./theme";
export const _placeholderTextStyle = (theme, selectedItem, placeholderTextColor) => ({
    width: "90%",
    fontSize: 16,
    fontWeight: "bold",
    color: placeholderTextColor
        ? placeholderTextColor
        : selectedItem
            ? ThemeColors[theme].textColor
            : ThemeColors[theme].placeholderColor,
});
export const _menuItemContainer = (index, data) => ({
    padding: 16,
    borderBottomEndRadius: index === (data && data.length - 1) ? 16 : 0,
    borderBottomStartRadius: index === (data && data.length - 1) ? 16 : 0,
});
export const _menuBarContainer = (theme, menuBarContainerHeight, menuBarContainerWidth) => ({
    borderBottomEndRadius: 16,
    borderBottomStartRadius: 16,
    height: menuBarContainerHeight,
    width: menuBarContainerWidth,
    backgroundColor: ThemeColors[theme].menuBarBackgroundColor,
});
export const _menuButtonContainer = (theme, height = 50, width = 250) => ({
    width,
    height,
    borderTopLeftRadius: 16,
    borderTopRightRadius: 16,
    justifyContent: "center",
    backgroundColor: ThemeColors[theme].menuButtonBackgroundColor,
});
export const _imageStyle = (height = 25, width = 25) => ({
    width,
    height,
    marginRight: 16,
});
export const _menuItemTextStyle = (theme) => ({
    color: ThemeColors[theme].menuItemTextColor,
    fontWeight: "700",
});
export default StyleSheet.create({
    buttonContainerGlue: {
        marginLeft: 16,
        marginRight: 16,
        flexDirection: "row",
        alignItems: "center",
        justifyContent: "space-between",
    },
    arrowImageStyle: {
        width: 20,
        height: 20,
    },
    menuBarItemContainerGlue: {
        flexDirection: "row",
        alignItems: "center",
    },
    listStyle: {
        marginTop: 3,
        marginBottom: 3,
    },
    spinnerContainer: {
        marginTop: 32,
        alignItems: "center",
        justifyContent: "center",
    },
});
//# sourceMappingURL=RNSingleSelect.style.js.map